Subject: Re: [MMUSIC] AD evaluation: draft-ietf-mmusic-latching-04

From: Emil Ivov <[email-masked]>
Date: Tue, 06 May 2014 18:36:19 +0200

Hey Alissa,

On 18.04.14, 23:06, Alissa Cooper wrote:
> On 4/15/14, 4:29 PM, "Kevin Gross" <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     As fresh eyes on this, I'm having trouble understanding what NEW is
>     trying to say. Seems like the union of Internet and controlled
>     environments is everything. How about just saying:
>
>         Due to the security issues presented in Section 5, the latching
>         mechanism
>         is not recommended unless all security considerations are taken into
>         account and solved.
>
> This is basically the same as what the text currently says, so I think
> it’s better to just leave the text as-is and close out this discussion.

OK.

>     Also, if you're going to change this in section 1, you'll also want
>     to change the treatment of the same subject in the last paragraph of
>     the abstract.

Done.

>     Also, although there's a brief definition of "latching" in the
>     abstract, there's no mention of "latching" in section 1 until the
>     paragraph under discussion. It would be helpful to add better
>     context for "latching" in section 1.

Done.

> Seems like a reasonable suggestion. Could the authors make a run at that
> and publish a rev that includes the other edits from my AD review?

Done: http://tools.ietf.org/html/draft-ietf-mmusic-latching-05

Thanks for all the feedback!

Emil

> Thanks,
> Alissa
>
>
>     Kevin Gross - AVA Networks
>
>
>     On Tue, Apr 15, 2014 at 5:03 PM, Alissa Cooper <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         I’d like to close out this thread. Are folks on board with this
>         proposed
>         change to Section 1?
>
>         OLD:
>         Due to the security issues presented in Section 5, the latching
>         mechanism
>         is considered inappropriate for general use on the Internet
>         unless all
>         security considerations are taken into account and solved.
>
>         NEW:
>         Due to the security issues presented in Section 5, the latching
>         mechanism
>         is considered inappropriate for general use on the Internet, and in
>         controlled environments unless all security considerations are
>         taken into
>         account and solved.
>
>
>         Thanks,
>         Alissa
>
>         On 4/3/14, 11:19 AM, "Alissa Cooper" <[email-masked]
>         <mailto:[email-masked]>> wrote:
>
>         >On 4/3/14 10:39 AM, "Dan Wing" <[email-masked] <mailto:[email-masked]>> wrote:
>         >
>         >>
>         >>On Apr 3, 2014, at 10:28 AM, Alissa Cooper <[email-masked] <mailto:[email-masked]>> wrote:
>         >>
>         >>> Hi Dan,
>         >>>
>         >>> On 4/1/14 11:42 AM, "Dan Wing" <[email-masked] <mailto:[email-masked]>> wrote:
>         >>>>
>         >>>>>> The draft suggests use of SRTP for authenticating media which does
>         >>>>>> resolve the security issues (from a privacy/confidentiality
>         >>>>>> perspective).
>         >>>>>>
>         >>>>>
>         >>>>> I was more concerned with the DoS aspect.
>         >
>         >In response to Emil's note above about the SRTP text resolving the
>         >security issues "from a privacy/confidentiality perspective," all I was
>         >saying was that my initial question was prompted not because I was
>         >concerned about a breach of confidentiality, but about the ability to
>         >perform a DoS attack even when SRTP is in use. I think the text in Section
>         >5 that describes this is ok though.
>         >
>         >>>>
>         >>>> The DoS aspect of authenticating incoming SRTP packets to the SBC?
>         >>>
>         >>> The DoS aspect that is described in the paragraph Emil quoted below.
>         >>>
>         >>>>
>         >>>>
>         >>>>>
>         >>>>>> That's part of section 5:
>         >>>>>>
>         >>>>>> Naturally, SRTP [RFC3711] would help mitigate such threats and
>         >>>>>>should
>         >>>>>> be used independently of HNT.  For example, in cases where
>         >>>>>>end-to-end
>         >>>>>> encryption is used it would still be possible for an attacker to
>         >>>>>> hijack a session despite the use of SRTP and perform a denial of
>         >>>>>> service attack.  However, media integrity would not be compromised.
>         >>>>>>
>         >>
>         >>Sorry, I read it again and I'm still not clear on the concern.  Could you
>         >>restate or rephrase.
>         >>
>         >>
>         >>>
>         >>>>> I think something like the following might capture the
>         >>>>> situation better:
>         >>>>>
>         >>>>> OLD:
>         >>>>> Due to the security issues presented in Section 5, the latching
>         >>>>> mechanism
>         >>>>> is considered inappropriate for general use on the Internet unless
>         >>>>>all
>         >>>>> security considerations are taken into account and solved.
>         >>>>>
>         >>>>>
>         >>>>> NEW:
>         >>>>> Due to the security issues presented in Section 5, the latching
>         >>>>> mechanism
>         >>>>> is considered inappropriate for general use on the Internet, and in
>         >>>>> controlled environments unless all security considerations are taken
>         >>>>> into
>         >>>>> account and solved.
>         >>>>
>         >>>> "General use on the Internet" and "in controlled environments" are
>         >>>>100%
>         >>>> of all networks, so perhaps simplifying to:
>         >>>>
>         >>>> NEW:
>         >>>> Due to the security issues presented in Section 5, the latching
>         >>>> mechanism
>         >>>> is considered appropriate only when all security considerations are
>         >>>> taken into
>         >>>> account and solved.
>         >>>
>         >>> I think the text in the -04 is preferable to this, as it is more
>         >>>specific.
>         >>>
>         >>> I would be interested in others' thoughts on the text I proposed above.
>         >>
>         >>Could we at least eliminate the double negatives ("inappropriate ...
>         >>unless")?
>         >
>         >In principle, yes, but it seems much easier to enumerate the situations
>         >where it's inappropriate than where it's appropriate -- I'm finding it
>         >difficult to think of better phrasing.
>         >
>         >Alissa
>         >
>         >>
>         >>-d
>         >>
>         >>
>         >>>
>         >>> Thanks,
>         >>> Alissa
>         >>>
>         >>>
>         >>
>         >
>         >
>         >_______________________________________________
>         >mmusic mailing list
>         >[email-masked] <mailto:[email-masked]>
>         >https://www.ietf.org/mailman/listinfo/mmusic
>
>
>         _______________________________________________
>         mmusic mailing list
>         [email-masked] <mailto:[email-masked]>
>         https://www.ietf.org/mailman/listinfo/mmusic
>
>
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

-- 
https://jitsi.org